#include <stdint.h>

#include "inout.h"

static uint8_t readCMOSByte(uint8_t aAddress) {
	aAddress &= 0x7f;
	outByte(0x70, aAddress);
	return inByte(0x71);
}

void readCMOS(uint8_t data[128]) {
	for (int i = 0; i < 128; i++) {
		data[i] = readCMOSByte(i);
	}
}
