#include <stdint.h>

uint8_t inByte(uint16_t aAddr) {
	uint8_t result = 0;
	__asm__ __volatile__(
		"inb (%1), %%al"					"\n\t"
		"mov %%al, %0"						"\n\t"
		: "=r"(result)
		: "dx"(aAddr)
		: "ax"
	);
	return result;
}

void outByte(uint16_t aAddr, uint8_t aValue) {
	__asm__ __volatile__(
		"outb %0, (%1)"					"\n\t"
		:
		: "ax"(aValue), "dx"(aAddr)
		:
	);
}

