import os

class Configuration(object):
	DESCRAMBLE_BASEDIR = "/home/joe/ddr3descramble/"
	REMOTE_IMGDIR = "/mnt/Ext/joe/"
	MEMIMAGE_TOOLS_DIR = "/home/joe/coldboot/bios_memimage/"
	LOCAL_IMGDIR = DESCRAMBLE_BASEDIR + "img/"

	LIMIT_OFFSET_RAMADDR = 128 * 1024 * 1024
	LIMIT_LENGTH = 16 * 1024 * 1024

#	(TARGET_HOSTNAME, TARGET_IP, TARGET_MEMCONF) = ("sz", "192.168.1.7", "2x2gb13")
	(TARGET_HOSTNAME, TARGET_IP, TARGET_MEMCONF) = ("sz", "192.168.1.7", "2gb")

	def __init__(self):
		assert(os.path.isdir(self.DESCRAMBLE_BASEDIR))
		assert(os.path.isdir(self.REMOTE_IMGDIR))
		assert(os.path.isdir(self.MEMIMAGE_TOOLS_DIR))
		assert(os.path.isdir(self.LOCAL_IMGDIR))
