class PhysAddrMapper(object):
	def __init__(self):
		pass

	@staticmethod
	def _sz_physaddr_to_dumpfileaddr(physaddr):
		if physaddr >= 0:
			return physaddr -398336
		elif physaddr >= 536477696:
			return physaddr -2495488
		elif physaddr >= 1071382528:
			return physaddr -2499584
		elif physaddr >= 1994260480:
			return physaddr -7218176

	@staticmethod
	def _p900_physaddr_to_dumpfileaddr(physaddr):
		return physaddr - 120832 + 0xbb000

	def __call__(self, physaddr):
		return self._p900_physaddr_to_dumpfileaddr(physaddr)

	def mapaddr(self, virtaddr_location):
		if virtaddr_location.startswith("lisa"):
			lisaindex = int(virtaddr_location[4:])
			virtoffset = lisaindex * 1024 * 1024
			return (virtoffset, self(virtoffset))
		elif virtaddr_location.startswith("postlisa"):
			lisaindex = int(virtaddr_location[8:])
			virtoffset = (lisaindex * 1024 * 1024) + 0x61000
			return (virtoffset, self(virtoffset))
		else:
			raise Exception("No idea how to map '%s'" % (virtaddr_location))
